<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Fri May 25 11:54:49 EDT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>NetFunctions.HttpPage (SelekTOR Java Documentation)</title>
<meta name="date" content="2018-05-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NetFunctions.HttpPage (SelekTOR Java Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NetFunctions.HttpPage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../lib/NetFunctions.html" title="class in lib"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../lib/OSFunction.html" title="class in lib"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?lib/NetFunctions.HttpPage.html" target="_top">Frames</a></li>
<li><a href="NetFunctions.HttpPage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">lib</div>
<h2 title="Class NetFunctions.HttpPage" class="title">Class NetFunctions.HttpPage</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>lib.NetFunctions.HttpPage</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../lib/NetFunctions.html" title="class in lib">NetFunctions</a></dd>
</dl>
<hr>
<br>
<pre>public static final class <span class="typeNameLabel">NetFunctions.HttpPage</span>
extends java.lang.Object</pre>
<div class="block">Store an http formatted web page</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.HttpPage.html#PATTERN_ASCTIME">PATTERN_ASCTIME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.HttpPage.html#PATTERN_RFC1036">PATTERN_RFC1036</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.HttpPage.html#PATTERN_RFC1123">PATTERN_RFC1123</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../lib/NetFunctions.HttpPage.html#HttpPage-java.io.InputStream-">HttpPage</a></span>(java.io.InputStream&nbsp;is)</code>
<div class="block">Store webpage from the given input stream</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.HttpPage.html#getBodyAsString--">getBodyAsString</a></span>()</code>
<div class="block">Retrieve http body as string should only be used with text content</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.HttpPage.html#getExpires--">getExpires</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.HttpPage.html#getLastModified--">getLastModified</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.HttpPage.html#getProperty-java.lang.String-">getProperty</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get various properties of the web page</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.HttpPage.html#getServerDate--">getServerDate</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.HttpPage.html#isHeaderOK--">isHeaderOK</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.HttpPage.html#retrieveHeader--">retrieveHeader</a></span>()</code>
<div class="block">Retrieve http header info</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/NetFunctions.HttpPage.html#saveBodyToFile-java.lang.String-javax.swing.JProgressBar-">saveBodyToFile</a></span>(java.lang.String&nbsp;dest,
              javax.swing.JProgressBar&nbsp;jpb)</code>
<div class="block">Save http body to a file, applies to all types of content</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="PATTERN_RFC1123">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_RFC1123</h4>
<pre>public static final&nbsp;java.lang.String PATTERN_RFC1123</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#lib.NetFunctions.HttpPage.PATTERN_RFC1123">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN_RFC1036">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_RFC1036</h4>
<pre>public static final&nbsp;java.lang.String PATTERN_RFC1036</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#lib.NetFunctions.HttpPage.PATTERN_RFC1036">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN_ASCTIME">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PATTERN_ASCTIME</h4>
<pre>public static final&nbsp;java.lang.String PATTERN_ASCTIME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#lib.NetFunctions.HttpPage.PATTERN_ASCTIME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="HttpPage-java.io.InputStream-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>HttpPage</h4>
<pre>public&nbsp;HttpPage(java.io.InputStream&nbsp;is)</pre>
<div class="block">Store webpage from the given input stream</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>is</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="retrieveHeader--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>retrieveHeader</h4>
<pre>public final&nbsp;void&nbsp;retrieveHeader()</pre>
<div class="block">Retrieve http header info</div>
</li>
</ul>
<a name="getBodyAsString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBodyAsString</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getBodyAsString()</pre>
<div class="block">Retrieve http body as string should only be used with text content</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>null if failed, otherwise returns the contents</dd>
</dl>
</li>
</ul>
<a name="saveBodyToFile-java.lang.String-javax.swing.JProgressBar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveBodyToFile</h4>
<pre>public final&nbsp;boolean&nbsp;saveBodyToFile(java.lang.String&nbsp;dest,
                                    javax.swing.JProgressBar&nbsp;jpb)</pre>
<div class="block">Save http body to a file, applies to all types of content</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dest</code> - File destination</dd>
<dd><code>jpb</code> - Progress bar</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if successful</dd>
</dl>
</li>
</ul>
<a name="getProperty-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProperty</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getProperty(java.lang.String&nbsp;key)</pre>
<div class="block">Get various properties of the web page</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>property string</dd>
</dl>
</li>
</ul>
<a name="getLastModified--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastModified</h4>
<pre>public final&nbsp;long&nbsp;getLastModified()</pre>
</li>
</ul>
<a name="getServerDate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getServerDate</h4>
<pre>public final&nbsp;long&nbsp;getServerDate()</pre>
</li>
</ul>
<a name="getExpires--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExpires</h4>
<pre>public final&nbsp;long&nbsp;getExpires()</pre>
</li>
</ul>
<a name="isHeaderOK--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isHeaderOK</h4>
<pre>public final&nbsp;boolean&nbsp;isHeaderOK()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NetFunctions.HttpPage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../lib/NetFunctions.html" title="class in lib"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../lib/OSFunction.html" title="class in lib"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?lib/NetFunctions.HttpPage.html" target="_top">Frames</a></li>
<li><a href="NetFunctions.HttpPage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
